﻿@using AdminCaja.ViewModel
@using AdminCaja.Models
@using AdminCaja.Helpers
@model CifrasViewModel<DatosRelevantesViewModel>

@{
    string jsonParticipantes = Newtonsoft.Json.JsonConvert.SerializeObject(Model.Data.RelevantData.GraphData);
    string jsonEvolucion = Newtonsoft.Json.JsonConvert.SerializeObject(Model.Data.Evolucion);
}

<div class="col-md-9">

    <h2 class="inner-content-title">Datos Relevantes</h2>
    <div class="section-cifras-descargar">
        <a href="pdf/Cifras-CajadeValores.pdf" class="btn btn-cifras-dd" target="_blank">Descargar Caja en Cifras</a>
    </div>
    <div class="row" data-right-height>
        <div class="col-md-4 wow fadeInUp">
            <div class="caja-cifras color3-bg text-center" data-right-height-content>
                <h4>
                    @Html.CountNumber(Model.Data.RelevantData.SubAccounts)
                </h4>
                <h5>Subcuentas</h5>
            </div>
        </div>
        <div class="col-md-8 wow fadeInUp" data-wow-delay=".2s">
            <div class="caja-cifras-chart" data-right-height-content>
                <h2 class="color3">Participantes Directos - @Model.Data.RelevantData.GraphData.Sum(x=> x.Value).ToString()</h2>
                <div class="pieChart" id="pie1" style="width: 100%; height: 300px"></div>
            </div>
        </div>
    </div>
    <div class="row m-t-40">
        <div class="col-md-12 wow fadeInUp" data-wow-delay=".4s">
            <div class="caja-cifras-chart">
                <h2 class="color3">Evolución de cuentas con saldo</h2>
                <div id="barras1" style="width: 100%; height: 400px"></div>
            </div>
        </div>
    </div>

</div>
@using (Html.BeginScripts())
{
    <script>
        // Pie 1
if ($(window).width() < 768) {
	AmCharts.makeChart("pie1",
	{
		"type": "pie",
		"balloonText": "[[title]]<br><span style='font-size:14px'><b>[[value]]</b> ([[percents]]%)</span>",
		"innerRadius": "70%",
		"baseColor": "",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"colors": [
		"#22456c",
		"#1183d3",
		"#16a8ed",
		"#1bb4b5",
		"#0fbc2e",
		"#8dd537",
		"#04D215",
		"#0D8ECF",
		"#0D52D1",
		"#2A0CD0",
		"#8A0CCF",
		"#CD0D74",
		"#754DEB",
		"#DDDDDD",
		"#999999",
		"#333333",
		"#000000",
		"#57032A",
		"#CA9726",
		"#990000",
		"#4B0C25"
		],
		"labelsEnabled": false,
		"startDuration": 1,
		"startEffect": "easeOutSine",
		"titleField": "Name",
		"valueField": "Percent",
		"fontFamily": "Montserrat",
		"allLabels": [],
		"balloon": {},
		"legend": {
			"enabled": true,
			"align": "center",
			"autoMargins": false,
			"marginLeft": 2,
			"marginRight": 0,
			"markerLabelGap": 10,
			"markerType": "circle",			
			"rollOverGraphAlpha": 0,
			"valueAlign": "left",
			"valueText": "[[value]]%",
		},
		"titles": [],
		"dataProvider": @Html.Raw(jsonParticipantes)
	}
	);
}
else {
	AmCharts.makeChart("pie1",
	{
		"type": "pie",
		"balloonText": "[[title]]<br><span style='font-size:14px'><b>[[value]]</b> ([[percents]]%)</span>",
		"innerRadius": "70%",
		"baseColor": "",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"colors": [
		"#22456c",
		"#1183d3",
		"#16a8ed",
		"#1bb4b5",
		"#0fbc2e",
		"#8dd537",
		"#04D215",
		"#0D8ECF",
		"#0D52D1",
		"#2A0CD0",
		"#8A0CCF",
		"#CD0D74",
		"#754DEB",
		"#DDDDDD",
		"#999999",
		"#333333",
		"#000000",
		"#57032A",
		"#CA9726",
		"#990000",
		"#4B0C25"
		],
		"labelsEnabled": false,
		"startDuration": 1,
		"startEffect": "easeOutSine",
		"titleField": "Name",
		"valueField": "Percent",
		"fontFamily": "Montserrat",
		"allLabels": [],
		"balloon": {},
		"legend": {
			"enabled": true,
			"align": "right",
			"autoMargins": false,
			"marginLeft": 2,
			"marginRight": 0,
			"markerLabelGap": 10,
			"markerType": "circle",			
			"position": "right",
			"rollOverGraphAlpha": 0,
			"valueAlign": "left",
			"valueText": "[[value]]%",
		},
		"titles": [],
		"dataProvider": @Html.Raw(jsonParticipantes)
	}
	);
}

        AmCharts.makeChart("barras1",
	{
		"type": "serial",
		"categoryField": "trimestre",
		"thousandsSeparator": ".",
		"decimalSeparator": ",",
		"colors": [
			"#e5e5e5",
			"#FCD202",
			"#B0DE09",
			"#0D8ECF",
			"#2A0CD0",
			"#CD0D74",
			"#CC0000",
			"#00CC00",
			"#0000CC",
			"#DDDDDD",
			"#999999",
			"#333333",
			"#990000"
		],
		"startDuration": 1,
		"fontFamily": "Montserrat",
		"categoryAxis": {
			"gridPosition": "start",
			"axisAlpha": 0,
			"axisColor": "#333",
			"gridAlpha": 0,			
		},
		"trendLines": [],
		"graphs": [
			{				
				"colorField": "color",				
				"fillAlphas": 1,
				"id": "AmGraph-1",
				"labelOffset": 4,
				"labelPosition": "middle",
				"labelText": "[[value]]",
				"fontSize": 20,
				"lineColorField": "color",
				"maxBulletSize": 56,
				"minBulletSize": 20,
				"negativeFillAlphas": 0,
				"negativeLineAlpha": 0,
				"title": "graph 1",
				"topRadius": 0,
				"type": "column",
				"valueField": "cantidad",
				"showBalloon": true,
				"color": "#FFF",
				"boldLabels": true,
				
			}
		],
		"guides": [],
		"valueAxes": [
			{
				"id": "ValueAxis-1",
				"axisAlpha": 0,
				"gridAlpha": 0,
				"minorGridAlpha": 0,
				"title": "",
				"titleBold": false,				
			}
		],
		"allLabels": [],
		"balloon": {},
		"titles": [],
		"dataProvider": @Html.Raw(jsonEvolucion)
	}
);

    </script>
}
